# $Id: Thanks.pl,v 1.1 1996/07/26 05:15:08 pedja Exp $

# Thanks.wos
#
# You may freely copy, distribute and reuse the code in this example.
# NeXT disclaims any warranty of any kind, expressed or implied, as to
# its fitness for any particular use.
# This example consists of beta, untested code. Use it at your own risk.

package WO::CyberWind::Thanks;
use WOPerl;

sub awake {
  # Terminating the session destroys state associated with
  # the current session.  This kind of housecleaning is nice to perform
  # when you can, but it comes at a cost.
  #
  # If a user backtracks after you've terminated their session, actions
  # they perform will cause erroneous results if the application relies
  # upon session state.  In this application, destroying session state
  # will result in invalid Footer information if a user backtracks
  # and performs another action after visiting the Thanks page.
  
  $WOApp->terminateSession;
}

'WO::CyberWind::Thanks';
# EOF
