@rem = '--*-PERL-*--';
@rem = '
@echo off
rem setlocal
set ARGS=
:loop
if .%1==. goto endloop
set ARGS=%ARGS% %1
shift
goto loop
:endloop
rem ***** This assumes PERL is in the PATH *****
perl.exe -w -S WOPerlDefaultApp.bat %ARGS%
goto endofperl
@rem ';
# $Id: WOPerlDefaultApp.bat,v 1.1 1996/08/06 07:39:09 pedja Exp $
# Copyright 1996, TipTop Software.

#############################################################################
# To run WOPerlDefaultApp:
#
# * Short form:
#
#     WOPerlDefaultApp WOArgs
#
#   where WOArgs :=  [-c] [-d DocumentRoot] [-v WebObjectsVersion]
#                    [-n InstanceNumber] [-p PortNumber] [-] ApplicationName
#
#   (see the WebObjects documentation "Serving WebObjects" for full
#    description of WOArgs).
#
# * Long form:
#
#     woperl PerlArgs WOPerlDefaultApp WOArgs
#
#   where PerlArgs := [-acdhnpPsSTuUvw] [-0[octal]] [-D[number/list]]
#                     [-F regexp] [-i[extension]] [B<-ltdir<gt>>] [-l[octal]]
#                     [-x[dir]]
#
#   (see the perl(1) man page for full description of PerlArgs).
#############################################################################

use WOPerl;

# WOApplicationAdaptor accesses NXArgc/NXArgv directly!
# &kludge_argv sets NXArgc/NXArgv to the specified argument list.
&WOPerl::kludge_argv($0,@ARGV);

$pool=class('NSAutoreleasePool')->alloc->init;
  $adaptor=class('WOApplicationAdaptor')->alloc->init->autorelease;
  $WOApp=class('TTWOPerlApplication')->sharedInstance;

  print "Running WO app ",$WOApp->applicationName,": $0 @ARGV\n";
  $adaptor->runWithApplication_($WOApp);
$pool->release;

exit(0);

# EOF
__END__
:endofperl
