# $Id: Departments.pl,v 1.2 1996/08/06 07:39:19 pedja Exp $
#  Departments.pl: converted from the original Departments.wos
#  The original file contains the following notice:
#
#  You may freely copy, distribute and reuse the code in this example.
#  NeXT disclaims any warranty of any kind, expressed or implied, as to
#  its fitness for any particular use.

package WO::EB::Departments;
use WOPerl;
%FLAGS=(
  'rawSet' => 1,
#  'traceSet' => 1, 'traceGet' => 1, 'traceInvoke' => 1,
);

@PERSISTENT=qw(departments);
@IVARS=qw(department);

sub awake {
  my($self)=@_;
  my $departmentsPath;
 
  if(!$self->{'departments'}) {
     print "Creating departments\n";
     $departmentsPath=$WOApp->pathForResourceOfType("Departments","array");
     $self->{'departments'}=NSArray->arrayWithContentsOfFile($departmentsPath);
   }
   return $self;
}


sub showEmployeesFrameSet {
  my($self)=@_;
  my $employeesFrameSet=$WOApp->pageWithName("EmployeesFrameSet");
  my $employees=$self->{'department'}->{'employees'};
#  my $employees=$self->{'department'}->objectForKey('employees');

  $employeesFrameSet->setEmployees($employees);
  return $employeesFrameSet;
}

'WO::EB::Departments';
# EOF
