# $Id: Makefile.inc,v 1.2 1996/08/09 01:29:29 pedja Exp $

PERL_VERSION=5.003
PERL_DEFINES=-DEMBED -DMULTIPLICITY

PERL_CORE_ARCHDIR= $(LOCALLIB)/perl5/$(PERL_ARCHITECTURE)/$(PERL_VERSION)
PERL_SITE_ARCHDIR= $(LOCALLIB)/perl5/site_perl
PERL_INCLUDE=-I$(PERL_CORE_ARCHDIR)/CORE \
  -I/usr/lib/perl5/$(PERL_ARCHITECTURE)/$(PERL_VERSION)/CORE \
  -I/LocalDeveloper/Libraries/perl5/$(PERL_ARCHITECTURE)/$(PERL_VERSION)/CORE \
  -I/usr/local/lib/perl5/$(PERL_ARCHITECTURE)/$(PERL_VERSION)/CORE

INCLUDES= -I$(LOCAL)/Headers -I../..

CFLAGS=$(RC_CFLAGS) $(PERL_INCLUDE) $(INCLUDES) $(PERL_DEFINES) $(OTHER_CFLAGS)

LIBPERL=$(PERL_CORE_ARCHDIR)/CORE/libperl.a \
	$(PERL_CORE_ARCHDIR)/auto/DynaLoader/DynaLoader.a

WOPERL_OFILES = $(PERL_SITE_ARCHDIR)/auto/WOPerl/WOPerl.so
OFILES= perlmain.o $(WOPERL_OFILES) $(OTHER_STATIC_PERL_MODULES) $(LIBPERL)

#ALL_OTHER_LIBS=none
ALL_OTHER_LIBS=dbm
#ALL_OTHER_LIBS=dbm EOAccess_s NeXT_s

woperl: $(OFILES)
	(LIBS=''; for f in $(ALL_OTHER_LIBS); do \
	   if test -f /usr/lib/lib$$f.a; then LIBS="$$LIBS -l$$f"; fi; done; \
	 echo "LIBS: $$LIBS"; \
	 $(CC) $(RC_CFLAGS) $(ALL_LOAD) -o $@ $(OFILES) \
		-lWebObjects $(LIBFOUNDATION) $$LIBS )
#	strip $(STRIP_FLAGS) $@

install: woperl
	cp woperl $(INSTALLDIR)

clean:
	-rm *.o *~
	-rm woperl

# EOF
