# $Id: CustomerInfo.pl,v 1.2 1996/08/06 07:38:55 pedja Exp $

# CustomerInfo.pl: converted from the original CustomerInfo.wos
# The original file contains the following notice:
#
# You may freely copy, distribute and reuse the code in this example.
# NeXT disclaims any warranty of any kind, expressed or implied, as to
# its fitness for any particular use.

package WO::CyberWind::CustomerInfo;
use WOPerl;

@IVARS=qw(selectedSailboards sailboard customer total);

sub awake
{
  my $self=shift;
  $self->{'customer'} = {};
  return;
}

sub willGenerateResponseInContext
{
  my $self=shift;
  my $i, $count, $currentSailboard;

  my $arr=$self->{'selectedSailboards'};
  $count = 1+$#$arr;
  $self->{'total'} = 0;
    
  for ($i = 0; $i < $count; $i++) {
    $currentSailboard = $self->{'selectedSailboards'}->[$i];
    $self->{'total'} = $self->{'total'} + $currentSailboard->{"price"};
  }
  return(nil);
}

sub isSelectionNonEmpty
{
  my $self=shift;
  my $arr=$self->{'selectedSailboards'};
  return ($arr && $#$arr>=0);
}

sub thanksPage { return $WOApp->pageWithName("Thanks");}
sub mainPage { return $WOApp->pageWithName("Main"); }
sub buyPage { return $WOApp->pageWithName("Buy"); }

'WO::CyberWind::CustomerInfo';

# EOF
