# $Id: Surfshops.pl,v 1.1 1996/07/26 05:15:02 pedja Exp $
# Surfshops.pl: converted from the original Surfshops.wos
# The original file contains the following notice:
#
# You may freely copy, distribute and reuse the code in this example.
# NeXT disclaims any warranty of any kind, expressed or implied, as to
# its fitness for any particular use.

package WO::CyberWind::Surfshops;
use WOPerl;
@IVARS=qw(surfshops surfshop employee);

sub awake
{
  my $self=shift;
  # WebScript supports a special syntax for declaring constant objects.
  # The following statements create an NSArray (surfshops) that contains
  # two NSDictionaries.  Each dictionary has an entry for the key
  # "name" and the key "employees".  The value associated with "name" is
  # an NSString, and the value associated with "employees" is an
  # NSArray of NSStrings.
  
  # In WOPerl, just use Perl arrays and hashes!
  $self->{'surfshops'} = [
	{
	    "name" => "Banana Surfshop",
	    "employees" =>  ["John Wayne", "Jenna de Rosnay"],
	}, 
	{
	    "name" => "Rad Swell",
	    "employees" => ["Robby Naish", "Nathalie Simon"],
	}
    ];
    
  return $self;
}

sub surfshopsPage { return $_[0]; }
sub home { return $WOApp->pageWithName("Main"); }
sub buy { return $WOApp->pageWithName("Buy"); }

'WO::CyberWind::Surfshops';

# EOF
